<?php 

/**
 * home class
 */
class Home
{
	use Controller;

	public function index()
	{

		$contact = new Contact_model;
		$data['social_links'] = $contact->first(['id'=>1]);

		$gallery = new Gallery_model;
		$data['gallery'] = $gallery->findAll();

		$family = new Family_model;

		$family->order_type = 'asc';
		$family->limit = 20;
		$family->order_column = 'list_order';

		$data['family'] = $family->findAll();
		
		/** for stories section **/
		$story = new Story_model;
		
		$story->order_type = 'asc';
		$story->limit = 20;
		$story->order_column = 'list_order';

		$data['stories'] = $story->findAll();
		
		/** for about section **/
		$story = new About_model;
		
		$story->order_type = 'asc';
		$story->limit = 20;
		$story->order_column = 'list_order';

		$data['about'] = $story->findAll();
		
		/** for settings **/
		$setting = new Setting_model;
		
		$setting->limit = 100;
		$data['settings'] = $setting->findAll();

		$data['SETTINGS'] = [];
		if($data['settings'])
		{
			foreach($data['settings'] as $setting_row)
			{
				$data['SETTINGS'][$setting_row->setting] = $setting_row->value;
			}

		}

		$this->view('home', $data);
	}

}
